• English
  • Create Order

    Request path

    /api/v2/payment/merchant/createorder

    Parameter list

    NameTypeLengthRequiredDescription
    orderIdString32YesThe unique Order Number of the merchant, which can be used to query transaction results.
    titleString100NoOrder title
    descriptionString200NoOrder description
    userIdString50NoThe unique id of the user on the merchant.
    userMobileNoString15NoUser's mobile phone number will be displayed on the cashier page default. Support multiple formats e.g. 07011698742 or 7011698742 or 023407011698742 or 02347011698742 Area code format
    amountLong-YesTransaction amount (minimum unit: kobo) minimum amount: 10,000 kobo
    currencyString10YesCurrency (NGN)
    notifyUrlString200YesReceive transaction result notification url
    callBackUrlString200YesAfter the payment is completed, the H5 page returns the url specified by the merchant.
    orderExpireTimeInteger-NoOrder validity period duration. (Unit: seconds) The expiration time of unpaid orders. Default value: 1800s (30mins) Interval: 1800s ≤ orderExpireTime ≤ 86400s (Maximum 24 hours, minimum 30mins)
    remarkString200NoRemarks
    customerInfoString-NoJSON string format, see:Customer Info
    goodsDetailsString-Yes/NoJSONArray string format, see:Product Details;required for global merchants
    productTypeString100YesFixed value 'pay_wallet'
    openIdString100NoRequired for use with Authorized Login product to enable user login-free access. Authorization
    splitDetailString-NoJSON string format, see:Split Payments,If an account is to be divided, it is required
    evokeAndroidBoolean-NoConfigure whether to evoke PalmPay Android app to complete the payment. "true" is for evoking PalmPay app, which "false" means do not evoke. If no value is passed, the system configuration will be used.
    evokeIosBoolean-NoConfigure whether to evoke PalmPay iOS app to complete the payment. "true" is for evoking PalmPay app, which "false" means do not evoke. If no value is passed, the system configuration will be used.

    Return value

    NameTypeLengthRequiredDescription
    orderNoString32YesPalmPay platform Order No.
    orderStatusInteger20YesOrder status (see order Status)
    messageString50NoStatus Description
    checkoutUrlString200NoPull up the H5 payment url
    payTokenString200YesParameters required to pull up SDK payment, only have value when status=1
    sdkSessionIdString32YesParameters required to pull up the SDK using a secure dynamic key
    sdkSignKeyString32YesParameters required to pull up the SDK using a secure dynamic key
    currencyString10YesCurrency (NGN)
    orderAmountLong-YesTransaction amount

    Error Code

    Error Code

    Postman Example

    request

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/payment/merchant/createorder' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer 10241024' \
    --header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
    --header 'Content-Type: application/json' \
    --data '{
        "requestTime":1662171389940,
        "version":"V1.1",
        "nonceStr":"IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
        "amount":200,
        "notifyUrl":"https://xx.cn/callback/payment",
        "orderId":"testc9ffae997fc1",
        "title":"pay",
        "description": "pay some thing",
        "userId":"110",
        "userMobileNo":"07011698742",
        "currency": "NGN",
        "callBackUrl": "http://returnurl",
        "goodsDetails": "[{\"goodsId\": \"1\"}]",
        "productType":"pay_wallet",
        "splitDetail": "{\"isSplit\":true,\"splitAmountType\":1,\"splitFeeType\":1,\"splitMerchantList\":[{\"splitMerchantId\":\"A\",\"splitAmount\":100,\"remark\":\"\"},{\"splitMerchantId\":\"B\",\"splitAmount\":100,\"remark\":\"\"}]}"
    }'

    response

    {
      "respCode": "00000000",
      "respMsg": "success",
      "data": {
        "orderNo": "2424220903032435363613",
        "orderStatus": 1,
        "message": "success",
        "checkoutUrl": "https://openapi.transspay.net/open-api/api/v1/payment/h5/redirect?orderNo=2424220903032435363613&userId=110&sign=18FC68963B01E5B2EBE71A59F5D70AE70D66D4798F11B1632B08B4EB084948DC&key=4cca233f40b1dfb1b4600c7dfdaf3ee2",
        "payToken": "eyJvcmRlck5vIjoiMjQyNDIyMDkwMzAzMjQzNTM2MzYxMyIsInVzZXJJZCI6IjExMCIsInNpZ24iOiIxOEZDNjg5NjNCMDFFNUIyRUJFNzFBNTlGNUQ3MEFFNzBENjZENDc5OEYxMUIxNjMyQjA4QjRFQjA4NDk0OERDIiwia2V5IjoiNGNjYTIzM2Y0MGIxZGZiMWI0NjAwYzdkZmRhZjNlZTIifQ==",
        "sdkSessionId":"3032435363613",
        "sdkSignKey": "110",
        "orderAmount": 200,
        "currency": "NGN"
      }
    }